Jump to content

Upgrade assistance


Recommended Posts

Hi,

 

I always like to try and keep my very novice hand in cubecart. I wish to upgrade myself from 6.11 to newest version. What folders need to be overwritten if you want to just upgrade and maintain all products, images and plugins? I have taken a full backup of the store in FTP. I cannot see how you would overwrite your images folder ETC?

 

Many thanks :)

Link to comment
Share on other sites

You will need to do a MANUAL UPGRADE. Do NOT try to upgrade from within Admin - even though you see a warning to upgrade and a link to do it with. Your images folder will not be over-written.

https://support.cubecart.com/Knowledgebase/Article/View/228/43/how-do-i-upgrade-from-cubecart-v6-to-latest-v6

One of the security features that will be new for you is the renaming of admin file and folder to admin_XXX and admin_XXX.php. The XXX are random numbers. You should be warned at the end of your upgrade to keep a record of these new names. Assuming you have SSL, be sure to login with the https url with the admin_XXX.php link.

 

Link to comment
Share on other sites

Thank you DB for your reply. Again, excuse the ignorance, but on the V6.17 folder I downloaded it included the images folder amongst other things and says replace all your existing files with ones in the new file. Have I downloaded the wrong file? ( or more likely... just being stupid!)

Link to comment
Share on other sites

No you havent download the wrong file - if you check in the images folder from the downloaded file, you will see that there are very few files in there and it wont affect the images that you have uploaded.  It is perfectly safe to upload every single file and overwrite all files that already exist.

Ian

Link to comment
Share on other sites

In the root of your store create a new php file named ini-custom.inc.php

 

and past this code in to it.

 

<?php
# Custom initialization commands
# Filename: ini-custom.inc.php
# File location: main CubeCart folder

ini_set('memory_limit', '256M');
ini_set('max_execution_time', '60');
ini_set('error_log', 'error_log');
ini_set('log_errors', 'on');

?>

 

 

 

this will create an error.log file in the root of your store, which may give more information as to where the fault lies.

Link to comment
Share on other sites

Hi Guys,

 

Thank you Keats for your reply, I have now got access to the admin page. Our store is full HTTPS, but cannot log in due to CSRF Warning. I thought this error was only with stores not running HTTPS?

Error log shows:

PHP Warning:  Invalid Security Token in /home/xxxxxxxxx/public_html/classes/sanitize.class.php on line 143

 

Link to comment
Share on other sites

Before you try to revert -

1. Be sure you have cleared all CC cache except image AND your browser cache - control/F5 usually.

2. What is showing in the error log now that the sanitize file is the 6.1.8 code?

3. Take a look at the store root level - that's the one with the includes folder in it.

Do you see more than one file/folder with admin in it?

Also, check your database to see if your CubeCart_option_assign table has a column named option_default. That would be one of the last obvious changes to the database.

The last two database changes in 6.1.7 were below, if you know how to check to see if they are there.

ALTER TABLE `CubeCart_system_error_log` ADD INDEX (`time`); #EOQ
ALTER TABLE `CubeCart_system_error_log` ADD INDEX (`read`); #EOQ

Link to comment
Share on other sites

42 minutes ago, havenswift-hosting said:

Reverting to 6.1.6 would not solve your problems and in fact would cause a lot more !

I agree - don't try to go to 6.1.6 - and if you can hold off on reverting to your old version for a bit hopefully we can spot the problem.

Link to comment
Share on other sites

Hi all,

Thank you for your help.

Yes I did back up the Admin folder but with an "old" prefix. Does that cause a problem?

Yes we do have the Option_default table

Sorry do not know how to check the " ALTER TABLE `CubeCart_system_error_log` ADD INDEX (`time`); #EOQ "

Error log still shows:

[10-May-2017 16:58:01 UTC] PHP Warning:  Invalid Security Token in /home/xxxxxxxx/public_html/classes/sanitize.class.php on line 149

Checked sanitize.class.php and if definitely has the new 6.018 code?

Link to comment
Share on other sites

3 minutes ago, bathroomboy said:

Sorry do not know how to check the " ALTER TABLE `CubeCart_system_error_log` ADD INDEX (`time`); #EOQ "

I don't know how to explain to you how to check that one. But at least we know the database is at least on 6.1.6 - more than likely on 6.1.7.

BUT I'm not so sure about how you stand as far as admin folders and admin files are concerned.

Take a look in includes/global.inc.php and see what the name are for admin_XXX folder and file there. THOSE are the admin folder and admin file that should have the 6.1.7 files in them. The directory that has that includes folder in it is your store root.

Look in your correctly named admin_XXX folder for \skins\default\csrf.inc.php. Is that file there? THAT is the GOOD admin folder. DELETE any other admin named folder at your store root.

Your GOOD admin_XXX.php file will have a copyright date of 2017 on line 6.  DELETE any other admin.php files in your store root.

Refresh our memory - is your store on SSL? Was SSL working properly on 6.1.1??

Link to comment
Share on other sites

Hi DB,

Global includes correct

csrf.inc.php present

2017 on line 6

We always use SSL on our store right from the beginning, so used to logging in with the Padlock closed. Our site is also HTTPS by default.

Can I install the backup version of the website that I took beforehand? (Albeit a couple of weeks ago) and then try again?

Sorry to be such a pain ITA!

Maybe best to sign up to the support package. Would that help me sort this out?

Edited by bathroomboy
Link to comment
Share on other sites

 

1 hour ago, bathroomboy said:

Can I install the backup version of the website that I took beforehand? (Albeit a couple of weeks ago) and then try again?

DON'T do that!!

If you still think it didn't install correctly somehow - use the Maintenance>Upgrade>Restore Current Version

If you don't mind spending the month's worth of support - that's sure the easiest way to get this fixed. Sorry I couldn't help.

Link to comment
Share on other sites

  • 1 month later...

Hi DB,
Is it possible to change the name of the shopping cart root directory/folder, before running the manual upload/upgrade? Then run the ftp and then run the upgrade. After upgrading and everything is running OK, then change the named home shopping cart folder to the original name.
Example, change shop to /shop619, then upgrade, then change folder back to /shop. 

I am still having trouble with the CC618 contact page and recaptcha?

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...